#!/bin/sh

lengths='2 3 4 5 7 11 13'
for length in $lengths
do
    basedir="audio/barker-$(printf %02d $length)"
    mkdir -p "$basedir"
    base="$basedir/barker"
    dest="$base.wav"
    python3 make-barker-audios.py --barker-seq $length "$dest"
    for shiftMS in 100 1000 2000
    do
        shiftS="$(echo "scale=2; $shiftMS / 1000" | bc)"
        shifted="$base-shift${shiftMS}.wav"
        sox "$dest" "$shifted" pad "${shiftS}@0"
        for attenuation in 2 3 4 5
        do
            attenuated="${shifted%.wav}-att${attenuation}.wav"
            attRatio="$(echo "scale=2; 1 / $attenuation" | bc)"
            sox "$shifted" "$attenuated" vol "0$attRatio"
            for noisekind in whitenoise pinknoise brownnoise
            do
                for noiselevel in $(seq 1 9)
                do
                    noised="${attenuated%.wav}-${noisekind}${noiselevel}.wav"
                    sox -m "$attenuated" \
                        <(sox "$attenuated" -p synth "$noisekind" vol "0.${noiselevel}") \
                        "$noised"
                done
            done
        done
    done
done
